Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 534108 (CVE-2014-9330) - <media-libs/tiff-4.0.4: Out-of-bounds reads followed by a crash in bmp2tiff (CVE-2014-9330)
Summary: <media-libs/tiff-4.0.4: Out-of-bounds reads followed by a crash in bmp2tiff (...
Status: RESOLVED FIXED
Alias: CVE-2014-9330
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A3 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-31 15:27 UTC by Agostino Sarubbo
Modified: 2017-01-09 17:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-12-31 15:27:58 UTC
From ${URL} :

An Out-of-bounds read flaw followed by a crash was found in the bmp2tiff utility (A utility used to create a TIFF file from a Microsoft 
Windows Device Independent Bitmap image file) shipped with libtiff. A remote attacker could provide a specially-crafted BMP (Bitmap 
Image) file that, when processed by bmp2tiff, would cause bmp2tiff to crash.

Upstream bug: http://bugzilla.maptools.org/show_bug.cgi?id=2494


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2015-06-17 17:42:18 UTC
CVE-2014-9330 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9330):
  Integer overflow in tif_packbits.c in bmp2tif in libtiff 4.0.3 allows remote
  attackers to cause a denial of service (crash) via crafted BMP image,
  related to dimensions, which triggers an out-of-bounds read.
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2016-10-31 04:37:58 UTC
Maintainers this was addressed by RedHat in version libtiff-3.9.4-18.
We do not have that version in the tree the lowest being: 3.9.7-r1

Please confirm that this does not apply to the packages so that we can close this bug if this is not an issue.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-20 04:27:35 UTC
This was fixed upstream in 4.0.4beta.  No history on whether that particular version landed in the tree so adjusting summary to match upstream changes.  Tree has a proper fixed version that is already stable.

http://libtiff.maptools.org/v4.0.4beta.html
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-01-09 17:00:47 UTC
This issue was resolved and addressed in
 GLSA 201701-16 at https://security.gentoo.org/glsa/201701-16
by GLSA coordinator Thomas Deutschmann (whissi).